Hi,<br><br>I was installing various haskell packages from hackage. <br><br>When I was installing HaXml, I think it was complaining about Text.PrettyPrint.HughesPJ not installed or something. (can&#39;t remember the specific message and I can&#39;t reproduce now...)
<br><br>So I installed &quot;pretty-1.0.0.0&quot; package as well.<br><br>Ever since then, when I try to install other haskell packages, I get the following error message:<br>&quot;brian@bp-desktop:~/Download/mtl-1.1.0.0$
 runghc Setup.hs configure<br>&lt;interactive&gt;: /usr/local/lib/ghc-6.8.2/lib/Cabal-<a href="http://1.2.3.0/HSCabal-1.2.3.0.o">1.2.3.0/HSCabal-1.2.3.0.o</a>: unknown symbol `prettyzm1zi0zi0zi0_TextziPrettyPrintziHughesPJ_lvl18_closure&#39;
<br>ghc-6.8.2: unable to load package `Cabal-<a href="http://1.2.3.0">1.2.3.0</a>&#39;&quot;<br><br>Does anyone know what the problem is?<br><br>Currently installed packages are:<br>=========<br>/usr/local/lib/ghc-6.8.2/package.conf:
<br>&nbsp;&nbsp;&nbsp; Cabal-1.2.3.0, HTTP-3001.0.4, HUnit-1.2.0.0, X11-1.4.1,<br>&nbsp;&nbsp;&nbsp; array-0.1.0.0, base-3.0.1.0, bytestring-0.9.0.1,<br>&nbsp;&nbsp;&nbsp; containers-0.1.0.1, directory-1.0.0.0, filepath-1.1.0.0,<br>&nbsp;&nbsp;&nbsp; (ghc-6.8.2), haskell98-1.0.1.0
, hpc-0.5.0.0, hxt-7.4, mtl-1.1.0.0,<br>&nbsp;&nbsp;&nbsp; network-2.1.0.0, old-locale-1.0.0.0, old-time-1.0.0.0,<br>&nbsp;&nbsp;&nbsp; packedstring-0.1.0.0, parsec-2.1.0.0, polyparse-1.1,<br>&nbsp;&nbsp;&nbsp; pretty-1.0.0.0, process-1.0.0.0, random-1.0.0.0, readline-1.0.1.0
,<br>&nbsp;&nbsp;&nbsp; rts-1.0, template-haskell-2.2.0.0, unix-2.3.0.0, xmonad-0.5,<br>&nbsp;&nbsp;&nbsp; xmonad-contrib-0.5<br>=========<br><br><br>Thank you,<br><br>- Brian<br>